import React from "react";
import Footer from "./components/footer/FooterCenter";
import LiveCollaborationTrigger from "./components/live-collaboration/LiveCollaborationTrigger";
import MainMenu from "./components/main-menu/MainMenu";
import WelcomeScreen from "./components/welcome-screen/WelcomeScreen";
import "./css/app.scss";
import "./css/styles.scss";
import "./fonts/fonts.css";
import type { ExcalidrawProps } from "./types";
export declare const Excalidraw: React.MemoExoticComponent<(props: ExcalidrawProps) => import("react/jsx-runtime").JSX.Element>;
export { getSceneVersion, hashElementsVersion, hashString, getNonDeletedElements, } from "@excalidraw/element";
export { getTextFromElements } from "@excalidraw/element/textElement";
export { isInvisiblySmallElement } from "@excalidraw/element/sizeHelpers";
export { defaultLang, useI18n, languages } from "./i18n";
export { restore, restoreAppState, restoreElements, restoreLibraryItems, } from "./data/restore";
export { reconcileElements } from "./data/reconcile";
export { exportToCanvas, exportToBlob, exportToSvg, exportToClipboard, } from "@excalidraw/utils/export";
export { getCommonBoundingBox } from "@excalidraw/element/bounds";
export { getMaximumGroups } from "@excalidraw/element/groups";
export { determineFocusDistance } from "@excalidraw/element/binding";
export { measureText } from "@excalidraw/element/textMeasurements";
export { wrapText } from "@excalidraw/element/textWrapping";
export { getLineHeight } from "@excalidraw/common";
export { getFontString, getFontFamilyString } from "@excalidraw/common";
export { getBoundTextMaxWidth } from "@excalidraw/element/textElement";
export { mermaidToExcalidraw } from "./components/TTDDialog/MermaidToExcalidrawLib";
export { destroyObsidianUtils, registerLocalFont, getFontFamilies, registerFontsInCSS, getCSSFontDefinition, loadSceneFonts, getSharedMermaidInstance, loadMermaid, intersectElementWithLine, } from "../excalidraw/obsidianUtils";
export { refreshTextDimensions } from "@excalidraw/element/newElement";
export { getContainerElement } from "@excalidraw/element/textElement";
export { serializeAsJSON, serializeLibraryAsJSON } from "./data/json";
export { loadFromBlob, loadSceneOrLibraryFromBlob, loadLibraryFromBlob, } from "./data/blob";
export { getFreeDrawSvgPath } from "@excalidraw/element/renderElement";
export { mergeLibraryItems, getLibraryItemsHash } from "./data/library";
export { isLinearElement } from "@excalidraw/element/typeChecks";
export { FONT_FAMILY, THEME, MIME_TYPES, ROUNDNESS, DEFAULT_LASER_COLOR, UserIdleState, normalizeLink, } from "@excalidraw/common";
export { mutateElement, newElementWith, bumpVersion, } from "@excalidraw/element/mutateElement";
export { CaptureUpdateAction } from "./store";
export { parseLibraryTokensFromUrl, useHandleLibrary } from "./data/library";
export { sceneCoordsToViewportCoords, viewportCoordsToSceneCoords, safelyParseJSON, } from "@excalidraw/common";
export { getEmbedLink } from "@excalidraw/element/embeddable";
export { Sidebar } from "./components/Sidebar/Sidebar";
export { Button } from "./components/Button";
export { Footer };
export { MainMenu };
export { useDevice } from "./components/App";
export { WelcomeScreen };
export { LiveCollaborationTrigger };
export { Stats } from "./components/Stats";
export { DefaultSidebar } from "./components/DefaultSidebar";
export { TTDDialog } from "./components/TTDDialog/TTDDialog";
export { TTDDialogTrigger } from "./components/TTDDialog/TTDDialogTrigger";
export { zoomToFitBounds } from "./actions/actionCanvas";
export { convertToExcalidrawElements } from "./data/transform";
export { getCommonBounds, getVisibleSceneBounds, } from "@excalidraw/element/bounds";
export { elementsOverlappingBBox, isElementInsideBBox, elementPartiallyOverlapsWithOrContainsBBox, } from "@excalidraw/utils/withinBounds";
export { DiagramToCodePlugin } from "./components/DiagramToCodePlugin/DiagramToCodePlugin";
export { getDataURL } from "./data/blob";
export { isElementLink } from "@excalidraw/element/elementLink";
export { setCustomTextMetricsProvider } from "@excalidraw/element/textMeasurements";
