import { GlobalPoint } from "@excalidraw/math/types";
import type { MermaidToExcalidrawLibProps } from "./components/TTDDialog/common";
import type { ElementsMap, ExcalidrawElement, NonDeletedExcalidrawElement } from "@excalidraw/element/types";
import type { FontMetadata } from "@excalidraw/common";
import type { AppState } from "./types";
export declare let hostPlugin: any;
export declare function destroyObsidianUtils(): void;
export declare function initializeObsidianUtils(): void;
export declare function getAreaLimit(): any;
export declare function getWidthHeightLimit(): any;
export declare function allowDoubleTapEraser(): any;
export declare function getMaxZoom(): number;
export declare function isExcaliBrainView(): any;
export declare function getExcalidrawContentEl(): HTMLElement;
export declare function hideFreedrawPenmodeCursor(): boolean;
export declare function getOpenAIDefaultVisionModel(): any;
export declare function registerLocalFont(fontMetrics: FontMetadata & {
    name: string;
}, uri: string): void;
export declare function getFontFamilies(): string[];
export declare function registerFontsInCSS(): Promise<void>;
export declare function getCSSFontDefinition(fontFamily: number): Promise<string>;
export declare function loadSceneFonts(elements: NonDeletedExcalidrawElement[]): Promise<FontFace[]>;
export declare function fetchFontFromVault(url: string | URL): Promise<ArrayBuffer | undefined>;
export declare function isTouchInPenMode(appState: AppState, event: React.PointerEvent<HTMLElement> | MouseEvent): boolean;
export declare function getSharedMermaidInstance(): Promise<MermaidToExcalidrawLibProps>;
export declare function loadMermaid(): Promise<MermaidToExcalidrawLibProps>;
export declare const intersectElementWithLine: (element: ExcalidrawElement, a: GlobalPoint, b: GlobalPoint, gap: number | undefined, elementsMap: ElementsMap) => GlobalPoint[] | undefined;
