import autoprefixer = require("autoprefixer");
export const mode: string;
export const entry: {
    "excalidraw.development": string;
};
export namespace output {
    const path: string;
    const library: string;
    const libraryTarget: string;
    const filename: string;
    const chunkFilename: string;
    const assetModuleFilename: string;
    const publicPath: string;
}
export namespace resolve {
    const extensions: string[];
    const alias: {
        "@excalidraw/excalidraw": string;
        "@excalidraw/utils": string;
        "@excalidraw/math": string;
        "@excalidraw/common": string;
        "@excalidraw/element": string;
    };
}
export namespace module {
    const rules: ({
        test: RegExp;
        exclude: RegExp;
        use: (string | {
            loader: string;
            options?: undefined;
        } | {
            loader: string;
            options: {
                postcssOptions: {
                    plugins: (import("postcss").Plugin & autoprefixer.ExportedAPI)[];
                };
            };
        })[];
        resolve?: undefined;
        type?: undefined;
    } | {
        test: RegExp;
        resolve: {
            fullySpecified: boolean;
        };
        exclude?: undefined;
        use?: undefined;
        type?: undefined;
    } | {
        test: RegExp;
        exclude: RegExp;
        use: ({
            loader: string;
            options?: undefined;
        } | {
            loader: string;
            options: {
                presets: (string | (string | {
                    runtime: string;
                    pragma: string;
                    pragmaFrag: string;
                })[])[];
                plugins: string[];
                transpileOnly?: undefined;
                configFile?: undefined;
            };
        } | {
            loader: string;
            options: {
                transpileOnly: boolean;
                configFile: string;
                presets?: undefined;
                plugins?: undefined;
            };
        })[];
        resolve?: undefined;
        type?: undefined;
    } | {
        test: RegExp;
        type: string;
        exclude?: undefined;
        use?: undefined;
        resolve?: undefined;
    })[];
}
export const optimization: {};
export const plugins: any[];
export const externals: {
    react: {
        root: string;
        commonjs2: string;
        commonjs: string;
        amd: string;
    };
    "react-dom": {
        root: string;
        commonjs2: string;
        commonjs: string;
        amd: string;
    };
    'react/jsx-runtime': {
        root: string[];
        commonjs2: string;
        commonjs: string;
        amd: string;
    };
    'react/jsx-dev-runtime': {
        root: string[];
        commonjs2: string;
        commonjs: string;
        amd: string;
    };
};
